Package io.vertx.grpc.reflection.v1

## Class ErrorResponse

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - io.vertx.grpc.reflection.v1.ErrorResponse

- All Implemented Interfaces:
    `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ErrorResponseOrBuilder`, `Serializable`

      public final class ErrorResponse
      extends com.google.protobuf.GeneratedMessage
      implements ErrorResponseOrBuilder

       The error code and error message sent by the server when an error occurs.

  Protobuf type `grpc.reflection.v1.ErrorResponse`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ErrorResponse.Builder` | The error code and error message sent by the server when an error occurs.

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

      `com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageT extends com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageT>,​BuilderT extends com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageT,​BuilderT>>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageT extends com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageT extends com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingT extends com.google.protobuf.Message,​T extends Object>, com.google.protobuf.GeneratedMessage.UnusedPrivateParameter`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessage

      `com.google.protobuf.AbstractMessage.BuilderParent`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

      `com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ERROR_CODE_FIELD_NUMBER` |
    `static int` | `ERROR_MESSAGE_FIELD_NUMBER` |

    - ### Fields inherited from class com.google.protobuf.GeneratedMessage

      `alwaysUseFieldBuilders, unknownFields`

    - ### Fields inherited from class com.google.protobuf.AbstractMessage

      `memoizedSize`

    - ### Fields inherited from class com.google.protobuf.AbstractMessageLite

      `memoizedHashCode`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `static ErrorResponse` | `getDefaultInstance()` |
    `ErrorResponse` | `getDefaultInstanceForType()` |
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
    `int` | `getErrorCode()` | This field uses the error codes defined in grpc::StatusCode.
    `String` | `getErrorMessage()` | `string error_message = 2;`
    `com.google.protobuf.ByteString` | `getErrorMessageBytes()` | `string error_message = 2;`
    `com.google.protobuf.Parser<ErrorResponse>` | `getParserForType()` |
    `int` | `getSerializedSize()` |
    `int` | `hashCode()` |
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
    `boolean` | `isInitialized()` |
    `static ErrorResponse.Builder` | `newBuilder()` |
    `static ErrorResponse.Builder` | `newBuilder​(ErrorResponse prototype)` |
    `ErrorResponse.Builder` | `newBuilderForType()` |
    `protected ErrorResponse.Builder` | `newBuilderForType​(com.google.protobuf.AbstractMessage.BuilderParent parent)` |
    `static ErrorResponse` | `parseDelimitedFrom​(InputStream input)` |
    `static ErrorResponse` | `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static ErrorResponse` | `parseFrom​(byte[] data)` |
    `static ErrorResponse` | `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static ErrorResponse` | `parseFrom​(com.google.protobuf.ByteString data)` |
    `static ErrorResponse` | `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static ErrorResponse` | `parseFrom​(com.google.protobuf.CodedInputStream input)` |
    `static ErrorResponse` | `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static ErrorResponse` | `parseFrom​(InputStream input)` |
    `static ErrorResponse` | `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static ErrorResponse` | `parseFrom​(ByteBuffer data)` |
    `static ErrorResponse` | `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static com.google.protobuf.Parser<ErrorResponse>` | `parser()` |
    `ErrorResponse.Builder` | `toBuilder()` |
    `void` | `writeTo​(com.google.protobuf.CodedOutputStream output)` |

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage

      `canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, newFileScopedGeneratedExtension, newInstance, newMessageScopedGeneratedExtension, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `findInitializationErrors, getInitializationErrorString, hashFields, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Field Detail

    - #### ERROR_CODE_FIELD_NUMBER

          public static final int ERROR_CODE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### ERROR_MESSAGE_FIELD_NUMBER

          public static final int ERROR_MESSAGE_FIELD_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

    - #### getErrorCode

          public int getErrorCode()

           This field uses the error codes defined in grpc::StatusCode.

      `int32 error_code = 1;`
      Specified by:
        `getErrorCode` in interface `ErrorResponseOrBuilder`
      Returns:
        The errorCode.

    - #### getErrorMessage

          public String getErrorMessage()

      `string error_message = 2;`
      Specified by:
        `getErrorMessage` in interface `ErrorResponseOrBuilder`
      Returns:
        The errorMessage.

    - #### getErrorMessageBytes

          public com.google.protobuf.ByteString getErrorMessageBytes()

      `string error_message = 2;`
      Specified by:
        `getErrorMessageBytes` in interface `ErrorResponseOrBuilder`
      Returns:
        The bytes for errorMessage.

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage`

    - #### writeTo

          public void writeTo​(com.google.protobuf.CodedOutputStream output)
                       throws IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.GeneratedMessage`

    - #### equals

          public boolean equals​(Object obj)

      Specified by:
        `equals` in interface `com.google.protobuf.Message`
      Overrides:
        `equals` in class `com.google.protobuf.AbstractMessage`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `com.google.protobuf.Message`
      Overrides:
        `hashCode` in class `com.google.protobuf.AbstractMessage`

    - #### parseFrom

          public static ErrorResponse parseFrom​(ByteBuffer data)
                                         throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ErrorResponse parseFrom​(ByteBuffer data,
                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                         throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ErrorResponse parseFrom​(com.google.protobuf.ByteString data)
                                         throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ErrorResponse parseFrom​(com.google.protobuf.ByteString data,
                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                         throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ErrorResponse parseFrom​(byte[] data)
                                         throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ErrorResponse parseFrom​(byte[] data,
                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                         throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ErrorResponse parseFrom​(InputStream input)
                                         throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static ErrorResponse parseFrom​(InputStream input,
                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                         throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static ErrorResponse parseDelimitedFrom​(InputStream input)
                                                  throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static ErrorResponse parseDelimitedFrom​(InputStream input,
                                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                  throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static ErrorResponse parseFrom​(com.google.protobuf.CodedInputStream input)
                                         throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static ErrorResponse parseFrom​(com.google.protobuf.CodedInputStream input,
                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                         throws IOException

      Throws:
        `IOException`

    - #### newBuilderForType

          public ErrorResponse.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static ErrorResponse.Builder newBuilder()

    - #### newBuilder

          public static ErrorResponse.Builder newBuilder​(ErrorResponse prototype)

    - #### toBuilder

          public ErrorResponse.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected ErrorResponse.Builder newBuilderForType​(com.google.protobuf.AbstractMessage.BuilderParent parent)

      Overrides:
        `newBuilderForType` in class `com.google.protobuf.AbstractMessage`

    - #### getDefaultInstance

          public static ErrorResponse getDefaultInstance()

    - #### parser

          public static com.google.protobuf.Parser<ErrorResponse> parser()

    - #### getParserForType

          public com.google.protobuf.Parser<ErrorResponse> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessage`

    - #### getDefaultInstanceForType

          public ErrorResponse getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`